import os

from setuptools import setup


def read(fname):
    with open(os.path.join(os.path.dirname(__file__), fname)) as buf:
        return buf.read()


conf = dict(
        name='bandcavall',
        version='0.1',
        description='Download music from bandcamp',
        long_description=read('README.md'),
        author='boyska',
        author_email='piuttosto@logorroici.org',
        url='https://git.lattuga.net/boyska/bandcavall',
        license='AGPL',
        packages=['bandcavall'],
        install_requires=[
            'splinter',
            'requests',
            'mutagen',
        ],
        zip_safe=False,
        entry_points={'console_scripts': [
            'bandcavall=bandcavall.main:main',
        ]},
        classifiers=[
          "License :: OSI Approved :: GNU Affero General Public License v3",
          "Operating System :: POSIX :: Linux",
          "Programming Language :: Python :: 3",
        ])


if __name__ == '__main__':
    setup(**conf)
